Bug 233830 - Exception during the build
Exception during the build
Status: REOPENED
Product: java
Classification: Unclassified
Component: Compiler
7.4
All All
: P3 (vote)
: 7.4
Assigned To: Dusan Balek
issues@java
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-02 09:05 UTC by Egor Ushakov
Modified: 2014-02-10 23:22 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (9.00 KB, text/plain)
2013-08-02 09:05 UTC, Egor Ushakov
Details
stacktrace (10.03 KB, text/plain)
2014-02-10 23:22 UTC, Exceptions Reporter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Egor Ushakov 2013-08-02 09:05:04 UTC
This bug was originally marked as duplicate of bug 147002, that is already resolved. This bug is still valid, so this seems to be another bug, but it might be related.

Build: NetBeans IDE Dev (Build 201307282300)
VM: Java HotSpot(TM) Client VM, 23.25-b01, Java(TM) SE Runtime Environment, 1.7.0_25-b15
OS: SunOS

User Comments:
gorrus: during the build




Stacktrace: 
com.sun.tools.javac.jvm.ClassReader$BadClassFile: bad class file: package-info.class
  unable to access file: /ssd/work/cnd-main/libs.junit4/external/junit-4.10.jar (No such file or directory)
  Please remove or make sure it appears in the correct subdirectory of the classpath.
   at com.sun.tools.javac.jvm.ClassReader.badClassFile(ClassReader.java:353)
   at com.sun.tools.javac.jvm.ClassReader.fillIn(ClassReader.java:2554)
   at com.sun.tools.javac.jvm.ClassReader.complete(ClassReader.java:2440)
   at com.sun.tools.javac.code.Symbol.complete(Symbol.java:553)
   at com.sun.tools.javac.code.Symbol$ClassSymbol.complete(Symbol.java:1018)
   at com.sun.tools.javac.code.Symbol$PackageSymbol.getRawAttributes(Symbol.java:846)
Comment 1 Egor Ushakov 2013-08-02 09:05:06 UTC
Created attachment 138173 [details]
stacktrace
Comment 2 Dusan Balek 2013-08-02 11:30:02 UTC
From the attached messages.log file it seems that jar files on your ssd drive became inaccessible.
Comment 3 Egor Ushakov 2013-08-02 11:51:56 UTC
libs.junit4/external/junit-4.10.jar is an external dependency, can't it be rewritten during the clean/build?
Comment 4 Egor Ushakov 2013-09-24 09:24:07 UTC
still happens during external build
Comment 5 Exceptions Reporter 2014-02-10 23:22:25 UTC
Created attachment 145005 [details]
stacktrace

The NB session had been open for a long time.  I had opened and closed multiple project groups, compiling various projects throughout the day.
  Towards the end of the day, the IDE became extremely slow while compiling a project and doing a background scanning.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo